Subject: Re: [PATCH v3] meson: disable PCRE2 dependency by default in macOS

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 15 Jul 2025 12:32:43 +0200

On Tue, Jul 15, 2025 at 01:56:44AM -0700, Carlo Arenas wrote:
> On Tue, Jul 15, 2025 at 1:46 AM Patrick Steinhardt <[email-masked]> wrote:
> > On Mon, Jul 14, 2025 at 09:55:27PM -0400, Eli Schwartz wrote:
> > > On 7/13/25 1:48 PM, Carlo Marcelo Arenas B
> > > > diff --git a/meson_options.txt b/meson_options.txt
> > > > index e7f768df24..f63ff32556 100644
> > > > --- a/meson_options.txt
> > > > +++ b/meson_options.txt
> > > > @@ -45,7 +45,7 @@ option('gitweb', type: 'feature', value: 'auto',
> > > >    description: 'Build Git web interface. Requires Perl.')
> > > >  option('iconv', type: 'feature', value: 'auto',
> > > >    description: 'Support reencoding strings with different encodings.')
> > > > -option('pcre2', type: 'feature', value: 'enabled',
> > > > +option('pcre2', type: 'feature', value: 'auto',
> > >
> > > This part is fine. We shouldn't default-fail if it isn't found, when we
> > > can't expect it to be universally available.
> >
> > Agreed. I guess tha only reason why I picked "enabled" here is because
> > we also got a wrapper in "subprojects/". But with this new workaround in
> > place I agree that it is sensible to switch to "auto".
> 
> AFAIK the "wrapper" fallback still kicks in when the feature is "auto"

It does, yes. But with 'auto' as default it means that we're free to
disable PCRE2 if we have detected a broken PCRE2 dependency.

Patrick